server:
  forward-headers-strategy: native
  tomcat:
    remoteip:
      protocol-header: "X-Forwarded-Proto"
      remote-ip-header: "X-Forwarded-For"
    basedir: .
    accesslog.enabled: true
  port: 8080
  address: 0.0.0.0

spring:
  application:
    name: WNAM
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  data:
    mongodb:
      uri: mongodb://127.0.0.1:27017/wnam_db
  sql:
    init:
      mode: always
  datasource:
    url: jdbc:postgresql://127.0.0.1:5432/wnam_db
    username: postgres
    password: postgres
# for cluster configuration, use:
# uri=mongodb://app1,app2,db1,db2/wnam_db

#  kafka:
#    bootstrap-servers: 172.16.135.10:9092,10.241.200.123:9092,10.241.200.124:9092

#netams:
# wnam:
#  cluster:
#    # optional, default false. Использовать kafka
#    kafka_enabled: true 
#    # optional default false, отвечает за синхронизацию данных, между разными кластерами wnam, если true синхронизируются все коллекции, если false только конфигурационные параметры 
#    full_sync: true 
#    # optional, default 1 количество реплик (серверов) в кластере kafka
#    replicas: 3 
#    # optional, default true. Пытаться выбрать лидера в kafka при падении брокеров kafka
#    unclean_election: true 
#    # optional, default empty.Если master, то все задачи выполняются на этом сервере,
#    role: master 
#    # optional, default 'true'. Использовать локальный кэш. Может быть true или false, отключать кэш следует только в конфигурации когда нет кафки и больше одного сервера wnam
#    use_cache: true 
